/**
  *  \file client/tiles/fleetheader.h
  *  \brief Fleet Screen Header Tile
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_FLEETHEADER_H
#define PCC_V2_CLIENT_TILES_FLEETHEADER_H

#include "client/tiles/csheader.h"

/** Header for fleet screen. This tile must be set onto the ship selection,
    not the fleet selection, so it can display the individual member's
    picture. */
class WFleetScreenHeaderTile : public WControlScreenHeaderTile {
 public:
    WFleetScreenHeaderTile(GObjectSelection& selection);
    string_t getTitle();
    string_t getSubtitle();
    ResId getPictureId();
    int getNumMessages();
};

#endif
