/**
  *  \file game/planettransfer.h
  *  \brief Planet Transfer
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_PLANETTRANSFER_H
#define PCC_V2_GAME_PLANETTRANSFER_H

#include "game/cargo.h"

class GPlanet;

/** Cargo transfer implementation for planets. */
class GPlanetTransfer : public GCargoContainer {
 public:
    GPlanetTransfer(GPlanet& planet);
    ~GPlanetTransfer();

    bool     canHaveCargo(GCargoType cargo_id);
    int32_t  getMaxCargo(GCargoType cargo_id);
    string_t getName() const;
    int32_t  getDisplayOffset(GCargoType type);

    GPlanet& getPlanet() { return planet; }

 protected:
    int32_t  getCargoOnObject(GCargoType type);
    void     changeCargoOnObject(GCargoType type, int32_t amount);
    void     changeReservedCargo(GCargoType type, int32_t amount);

 private:
    GPlanet& planet;
};

#endif
