/**
  *  \file ui/richobj.h
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_RICHOBJ_H
#define PCC_V2_UI_RICHOBJ_H

#include "cpluslib/smartptr.h"
#include "gfx/pixmap.h"

/** Rich Document Block Object. This is a block object, such as an
    image, which is displayed in a RichDocument. */
class RichDocumentBlockObject : public Object {
 public:
    virtual ~RichDocumentBlockObject();
    virtual GfxPoint getSize() = 0;
    virtual void draw(GfxContext& ctx, GfxRect area) = 0;
};

/** Rich Document Image Object. */
class RichDocumentImageObject : public RichDocumentBlockObject {
    Ptr<GfxPixmap> pix;
 public:
    RichDocumentImageObject(Ptr<GfxPixmap> pix);
    ~RichDocumentImageObject();
    GfxPoint getSize();
    void draw(GfxContext& ctx, GfxRect area);
};

#endif
